> ## Documentation Index
> Fetch the complete documentation index at: https://docs.olie.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Listar parâmetros disponíveis para filtragem de um modelo

> Listar parâmetros disponíveis para filtragem de um modelo específico. Use esse endpoint para saber quais parâmetros disponibilizamos para cada objeto.

Leia [aqui a documentação sobre parâmetros disponíveis](https://docs.olie.ai/api-reference/general/advanced-search#descobrindo-campos-dispon%C3%ADveis). Os parâmetros aqui listados são disponíveis apenas nas [buscas avançadas](https://docs.olie.ai/api-reference/general/advanced-search).



## OpenAPI

````yaml /api-reference/openapi.json get /api/management/system/params/{model_name}
openapi: 3.0.0
info:
  title: Olie API
  version: 1.0.0
  description: >
    # Introdução 👋


    Olá! Esta é a documentação oficial da API da [olie.ai](https://olie.ai/).
    Aqui você encontra as referências e exemplos de uso dos nossos endpoints.


    Para uma visão completa, recomendamos fortemente que você leia a
    [documentação oficial](https://docs.olie.ai/api-reference/introduction). Lá
    estão detalhados tópicos essenciais como
    [autenticação](https://docs.olie.ai/api-reference/introduction/authentication),
    [estrutura de
    respostas](https://docs.olie.ai/api-reference/general/response-structure),
    [paginação](https://docs.olie.ai/api-reference/general/pagination) e outros
    guias de integração.


    No Postman, esta coleção foca nas informações específicas de cada requisição
    (endpoints, parâmetros e exemplos), servindo como apoio rápido para testes e
    desenvolvimento.
servers:
  - url: https://api.olie.ai
security:
  - BearerAuth: []
paths:
  /api/management/system/params/{model_name}:
    parameters:
      - name: model_name
        in: path
        required: true
        description: Nome do objeto a ser consultado.
        schema:
          type: string
          enum:
            - project
            - customer
            - contact
        example: project
    get:
      tags:
        - system
        - params
      summary: Listar parâmetros disponíveis para filtragem de um modelo
      description: >-
        Listar parâmetros disponíveis para filtragem de um modelo específico.
        Use esse endpoint para saber quais parâmetros disponibilizamos para cada
        objeto.


        Leia [aqui a documentação sobre parâmetros
        disponíveis](https://docs.olie.ai/api-reference/general/advanced-search#descobrindo-campos-dispon%C3%ADveis).
        Os parâmetros aqui listados são disponíveis apenas nas [buscas
        avançadas](https://docs.olie.ai/api-reference/general/advanced-search).
      operationId: listarParMetrosDisponVeisParaFiltragemDeUmModelo
      responses:
        '200':
          description: 'Sucesso: projeto'
          headers:
            Access-Control-Allow-Origin:
              schema:
                type: string
              example: '*'
            Access-Control-Expose-Headers:
              schema:
                type: string
              example: '*'
            Cache-Control:
              schema:
                type: string
              example: no-cache, private
            Date:
              schema:
                type: string
              example: Mon, 19 Jan 2026 12:10:54 GMT
            X-Ratelimit-Limit:
              schema:
                type: integer
              example: 160
            X-Ratelimit-Remaining:
              schema:
                type: integer
              example: 159
            Transfer-Encoding:
              schema:
                type: string
              example: chunked
          content:
            application/json:
              schema:
                type: object
                properties:
                  response:
                    type: boolean
                    enum:
                      - true
                    description: Indicador de sucesso da requisição
                  params:
                    type: object
                    description: Parâmetros disponíveis para filtros e ordenação do modelo
                    properties:
                      filters:
                        type: array
                        description: Lista de filtros disponíveis para o modelo
                        items:
                          type: object
                          properties:
                            name:
                              type: string
                              description: Nome do campo que pode ser filtrado
                            input_type:
                              type: string
                              enum:
                                - text
                                - number
                                - datetime-local
                                - date
                                - time
                                - email
                                - tel
                                - url
                              description: Tipo de input esperado para o filtro
                            operators:
                              type: array
                              description: >-
                                Operadores relacionais permitidos para este
                                filtro
                              items:
                                type: string
                            options:
                              type: array
                              description: >-
                                Opções fixas disponíveis para o filtro (usado em
                                campos enum/select)
                              items:
                                type: object
                                properties:
                                  label:
                                    description: Rótulo da opção exibido ao usuário
                                    oneOf:
                                      - type: string
                                      - type: number
                                  value:
                                    description: Valor da opção usado na query
                                    oneOf:
                                      - type: string
                                      - type: number
                                      - type: boolean
                                required:
                                  - label
                                  - value
                            arguments:
                              type: array
                              description: >-
                                Argumentos adicionais necessários para este
                                filtro funcionar
                              items:
                                type: object
                                properties:
                                  id:
                                    type: string
                                    description: Identificador único do argumento
                                  label:
                                    type: string
                                    description: Rótulo descritivo do argumento
                                  required:
                                    type: boolean
                                    description: Indica se o argumento é obrigatório
                                  modelClass:
                                    type: string
                                    description: Classe do modelo associado ao argumento
                                  hydrate:
                                    type: object
                                    description: >-
                                      Configuração para popular/hidratar dados
                                      do argumento dinamicamente
                                    properties:
                                      route:
                                        type: string
                                        description: >-
                                          Rota da API para buscar as opções
                                          disponíveis
                                      options:
                                        type: string
                                        description: >-
                                          Chave do objeto de resposta que contém
                                          as opções
                                      key:
                                        type: string
                                        description: >-
                                          Campo usado como valor/identificador da
                                          opção
                                      label:
                                        type: string
                                        description: Campo usado como rótulo da opção
                                      children_key:
                                        type: string
                                        description: >-
                                          Chave para acessar opções
                                          filhas/aninhadas (opcional)
                                      children_label:
                                        type: string
                                        description: >-
                                          Campo usado como rótulo das opções
                                          filhas (opcional)
                                    required:
                                      - route
                                      - options
                                      - key
                                      - label
                                      - children_key
                                      - children_label
                                required:
                                  - id
                                  - label
                                  - required
                                  - modelClass
                                  - hydrate
                            hydrate:
                              description: >-
                                Configuração para popular/hidratar dados do
                                filtro dinamicamente (null se não aplicável)
                              oneOf:
                                - type: object
                                  properties:
                                    route:
                                      type: string
                                      description: >-
                                        Rota da API para buscar as opções
                                        disponíveis
                                    options:
                                      type: string
                                      description: >-
                                        Chave do objeto de resposta que contém
                                        as opções
                                    key:
                                      type: string
                                      description: >-
                                        Campo usado como valor/identificador da
                                        opção
                                    label:
                                      type: string
                                      description: Campo usado como rótulo da opção
                                    children_key:
                                      type: string
                                      description: >-
                                        Chave para acessar opções
                                        filhas/aninhadas (opcional)
                                    children_label:
                                      type: string
                                      description: >-
                                        Campo usado como rótulo das opções
                                        filhas (opcional)
                                  required:
                                    - route
                                    - options
                                    - key
                                    - label
                                    - children_key
                                    - children_label
                          required:
                            - name
                            - input_type
                            - operators
                            - options
                            - arguments
                            - hydrate
                      sorting:
                        type: array
                        description: Lista de campos disponíveis para ordenação
                        items:
                          type: object
                          properties:
                            name:
                              type: string
                              description: Nome do campo que pode ser usado para ordenação
                            arguments:
                              type: array
                              description: >-
                                Argumentos adicionais para a ordenação
                                (geralmente vazio)
                              items:
                                type: object
                          required:
                            - name
                            - arguments
                    required:
                      - filters
                      - sorting
                required:
                  - response
                  - params
              example:
                response: true
                params:
                  filters:
                    - name: id
                      input_type: text
                      operators:
                        - equals
                      options: []
                      arguments: []
                      hydrate: null
                    - name: code
                      input_type: text
                      operators:
                        - equals
                        - contains
                        - not_contains
                      options: []
                      arguments: []
                      hydrate: null
                    - name: name
                      input_type: text
                      operators:
                        - equals
                        - not_equals
                        - contains
                        - not_contains
                      options: []
                      arguments: []
                      hydrate: null
                    - name: description
                      input_type: text
                      operators:
                        - equals
                        - not_equals
                        - contains
                        - not_contains
                      options: []
                      arguments: []
                      hydrate: null
                    - name: impact
                      input_type: text
                      operators:
                        - equals
                        - not_equals
                        - greater_than
                        - greater_than_or_equals
                        - less_than
                        - less_than_or_equals
                      options:
                        - label: 1
                          value: 1
                        - label: 2
                          value: 2
                        - label: 3
                          value: 3
                        - label: 4
                          value: 4
                        - label: 5
                          value: 5
                        - label: 6
                          value: 6
                        - label: 7
                          value: 7
                        - label: 8
                          value: 8
                        - label: 9
                          value: 9
                        - label: 10
                          value: 10
                      arguments: []
                      hydrate: null
                    - name: status
                      input_type: text
                      operators:
                        - equals
                        - not_equals
                      options:
                        - label: Em andamento
                          value: 1
                        - label: Concluído
                          value: 2
                        - label: Arquivado
                          value: 3
                        - label: Paralisado
                          value: 4
                      arguments: []
                      hydrate: null
                    - name: budget
                      input_type: number
                      operators:
                        - equals
                        - not_equals
                        - greater_than
                        - greater_than_or_equals
                        - less_than
                        - less_than_or_equals
                      options: []
                      arguments: []
                      hydrate: null
                    - name: funnel_status_at
                      input_type: datetime-local
                      operators:
                        - equals
                        - not_equals
                        - greater_than
                        - greater_than_or_equals
                        - less_than
                        - less_than_or_equals
                        - is_null
                        - is_not_null
                      options: []
                      arguments:
                        - id: funnel_status
                          label: Status de Funil
                          required: false
                          modelClass: App\Models\ProjectFunnel
                          hydrate:
                            route: /api/management/get-project-funnels
                            options: project_funnels
                            key: id
                            label: name
                            children_key: null
                            children_label: null
                      hydrate: null
                    - name: funnel_forecast_date
                      input_type: datetime-local
                      operators:
                        - equals
                        - not_equals
                        - greater_than
                        - greater_than_or_equals
                        - less_than
                        - less_than_or_equals
                        - is_null
                        - is_not_null
                      options: []
                      arguments:
                        - id: funnel_forecast_date
                          label: Funil de Projetos
                          required: false
                          modelClass: App\Models\ProjectFunnel
                          hydrate:
                            route: /api/management/get-project-funnels
                            options: project_funnels
                            key: id
                            label: name
                            children_key: null
                            children_label: null
                      hydrate: null
                    - name: funnel_status
                      input_type: text
                      operators:
                        - equals
                        - not_equals
                      options: []
                      arguments:
                        - id: funnel_status
                          label: Status de Funil
                          required: false
                          modelClass: App\Models\ProjectFunnel
                          hydrate:
                            route: /api/management/get-project-funnels
                            options: project_funnels
                            key: id
                            label: name
                            children_key: null
                            children_label: null
                      hydrate:
                        route: /api/management/get-available-steps
                        options: funnels
                        key: id
                        label: name
                        children_key: funnel_status
                        children_label: name
                    - name: funnel_tags
                      input_type: text
                      operators:
                        - equals
                        - not_equals
                        - contains
                        - not_contains
                        - is_null
                        - is_not_null
                      options: []
                      arguments: []
                      hydrate:
                        route: /api/management/get-available-steps
                        options: funnels
                        key: id
                        label: name
                        children_key: tags
                        children_label: name
                    - name: parent
                      input_type: text
                      operators:
                        - equals
                        - not_equals
                        - is_null
                        - is_not_null
                      options: []
                      arguments: []
                      hydrate:
                        route: /api/management/projects
                        options: projects
                        key: id
                        label: name
                        children_key: null
                        children_label: null
                    - name: children
                      input_type: text
                      operators:
                        - is_null
                        - is_not_null
                        - contains
                        - not_contains
                      options: []
                      arguments: []
                      hydrate:
                        route: /api/management/projects
                        options: projects
                        key: id
                        label: name
                        children_key: null
                        children_label: null
                    - name: customer
                      input_type: text
                      operators:
                        - equals
                        - not_equals
                        - is_null
                        - is_not_null
                      options: []
                      arguments: []
                      hydrate:
                        route: /api/management/customers
                        options: customers
                        key: id
                        label: name
                        children_key: null
                        children_label: null
                    - name: contact
                      input_type: text
                      operators:
                        - equals
                        - not_equals
                        - is_null
                        - is_not_null
                      options: []
                      arguments: []
                      hydrate:
                        route: /api/management/contacts
                        options: contacts
                        key: id
                        label: name
                        children_key: null
                        children_label: null
                    - name: assignee
                      input_type: text
                      operators:
                        - equals
                        - contains
                        - not_equals
                        - is_null
                        - is_not_null
                      options: []
                      arguments: []
                      hydrate:
                        route: /api/management/get-users
                        options: users
                        key: id
                        label: name
                        children_key: null
                        children_label: null
                    - name: creator
                      input_type: text
                      operators:
                        - contains
                        - not_equals
                        - is_null
                        - is_not_null
                      options: []
                      arguments: []
                      hydrate:
                        route: /api/management/get-users
                        options: users
                        key: id
                        label: name
                        children_key: null
                        children_label: null
                    - name: created_at
                      input_type: datetime-local
                      operators:
                        - equals
                        - not_equals
                        - greater_than
                        - greater_than_or_equals
                        - less_than
                        - less_than_or_equals
                      options: []
                      arguments: []
                      hydrate: null
                    - name: funnels
                      input_type: text
                      operators:
                        - contains
                        - not_contains
                      options: []
                      arguments: []
                      hydrate:
                        route: /api/management/get-project-funnels
                        options: project_funnels
                        key: id
                        label: name
                        children_key: null
                        children_label: null
                    - name: funnel_steps
                      input_type: text
                      operators:
                        - contains
                        - not_contains
                      options: []
                      arguments: []
                      hydrate:
                        route: /api/management/get-available-steps
                        options: funnels
                        key: id
                        label: name
                        children_key: steps
                        children_label: name
                    - name: funnel_step_linked_at
                      input_type: datetime-local
                      operators:
                        - equals
                        - not_equals
                        - greater_than
                        - greater_than_or_equals
                        - less_than
                        - less_than_or_equals
                      options: []
                      arguments:
                        - id: funnel_step
                          label: Etapa de Funil
                          required: false
                          modelClass: App\Models\FunnelStep
                          hydrate:
                            route: /api/management/get-available-steps
                            options: funnels
                            key: id
                            label: name
                            children_key: steps
                            children_label: name
                      hydrate: null
                    - name: completed_percentage
                      input_type: number
                      operators:
                        - equals
                        - not_equals
                        - greater_than
                        - greater_than_or_equals
                        - less_than
                        - less_than_or_equals
                      options: []
                      arguments: []
                      hydrate: null
                    - name: project_groups
                      input_type: text
                      operators:
                        - contains
                        - not_contains
                      options: []
                      arguments: []
                      hydrate:
                        route: /api/management/project-groups
                        options: project_groups
                        key: id
                        label: name
                        children_key: null
                        children_label: null
                    - name: answer_pool
                      input_type: text
                      operators:
                        - equals
                        - not_equals
                        - contains
                        - not_contains
                        - greater_than
                        - greater_than_or_equals
                        - less_than
                        - less_than_or_equals
                        - is_null
                        - is_not_null
                      options: []
                      arguments:
                        - id: answer_pool_edge
                          label: Campo
                          required: true
                          modelClass: App\Models\FormEdge
                          hydrate:
                            route: /api/management/get-forms
                            options: forms
                            key: id
                            label: label
                            children_key: edges
                            children_label: title
                      hydrate: null
                    - name: project_step_form_answer_pool
                      input_type: text
                      operators:
                        - equals
                        - not_equals
                        - contains
                        - not_contains
                        - greater_than
                        - greater_than_or_equals
                        - less_than
                        - less_than_or_equals
                        - is_null
                        - is_not_null
                      options: []
                      arguments:
                        - id: project_step_form_answer_pool_step
                          label: Etapa de Funil
                          required: true
                          modelClass: App\Models\FunnelStep
                          hydrate:
                            route: /api/management/get-available-steps
                            options: funnels
                            key: id
                            label: name
                            children_key: steps
                            children_label: name
                        - id: project_step_form_answer_pool_edge
                          label: Campo
                          required: true
                          modelClass: App\Models\FormEdge
                          hydrate:
                            route: /api/management/get-forms
                            options: forms
                            key: id
                            label: label
                            children_key: edges
                            children_label: title
                      hydrate: null
                    - name: project_funnel_assignments_answer_pool
                      input_type: text
                      operators:
                        - equals
                        - not_equals
                        - contains
                        - not_contains
                        - greater_than
                        - greater_than_or_equals
                        - less_than
                        - less_than_or_equals
                        - is_null
                        - is_not_null
                      options: []
                      arguments:
                        - id: >-
                            project_funnel_assignments_answer_pool_project_funnel
                          label: Funil de Projetos
                          required: true
                          modelClass: App\Models\ProjectFunnel
                          hydrate:
                            route: /api/management/get-project-funnels
                            options: project_funnels
                            key: id
                            label: name
                            children_key: null
                            children_label: null
                        - id: project_funnel_assignments_answer_pool_edge
                          label: Campo
                          required: true
                          modelClass: App\Models\FormEdge
                          hydrate:
                            route: /api/management/get-forms
                            options: forms
                            key: id
                            label: label
                            children_key: edges
                            children_label: title
                      hydrate: null
                    - name: project_loose_form_answer_pool
                      input_type: text
                      operators:
                        - equals
                        - not_equals
                        - contains
                        - not_contains
                        - greater_than
                        - greater_than_or_equals
                        - less_than
                        - less_than_or_equals
                        - is_null
                        - is_not_null
                      options: []
                      arguments:
                        - id: project_loose_form_answer_pool_edge
                          label: Campo
                          required: true
                          modelClass: App\Models\FormEdge
                          hydrate:
                            route: /api/management/get-forms
                            options: forms
                            key: id
                            label: label
                            children_key: edges
                            children_label: title
                      hydrate: null
                    - name: name_code
                      input_type: text
                      operators:
                        - contains
                      options: []
                      arguments: []
                      hydrate: null
                  sorting:
                    - name: name
                      arguments: []
                    - name: impact
                      arguments: []
                    - name: status
                      arguments: []
                    - name: budget
                      arguments: []
                    - name: created_at
                      arguments: []
                    - name: assigned_to
                      arguments: []
                    - name: funnel_step_linked_at
                      arguments: []
                    - name: answer_pool
                      arguments: []
                    - name: project_funnel_assignments_answer_pool
                      arguments: []
                    - name: customer__name
                      arguments: []
                    - name: contact__name
                      arguments: []
                    - name: project_funnel_assignments__statuses_at
                      arguments: []
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````